package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.SystemUserModel;

public interface SystemUserProvider extends SuperProvider {

    /**
     * 创建管理员
     *
     * @param systemUserModel 管理员
     * @return
     */
    BocloudResult create(SystemUserModel systemUserModel);

    BocloudResult modify(SystemUserModel systemUserModel);

    BocloudResult delete(SystemUserModel systemUserModel);

}
